import api_game as api_game
import game_1 as quest_game

str_path_img="data\\img\\"
str_img_menu=str_path_img+"menu\\game\\object_select.jpg"

music_location="data\\sound\\lost-day.ogg"

def on_create():
	global music_location
	api_game.load_stream(music_location,1)
	api_game.fade_music(music_location,0,3)

	str_path_icon=str_path_img+"lev\\"+__name__+"\\objects_icon\\"
	str_path_m_icon=str_path_img+"lev\\"+__name__+"\\items\\"
	quest_game.set_path_small_icon(str_path_img+"lev\\"+__name__+"\\icons\\")

	api_game.load_stream("data\\sound\\quest\\amb_les_water.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\amb_les_water.ogg",0.2)
	api_game.play_sound("data\\sound\\quest\\amb_les_water.ogg",1)

	api_game.enable_visibility(0,"vkl_1", 0)
	api_game.enable_update(0,"vkl_1", 0)
	api_game.enable_visibility(0,"open_luk", 0)
	api_game.enable_visibility(0,"three_object", 0)
	api_game.enable_visibility(0,"open_luk_krishka", 0)
	p_part = api_game.get_child(0,"part_layer0")
	api_game.enable_visibility(p_part,"fire1_flame",0)
	api_game.enable_visibility(p_part,"fire1_light",0)

	str_icons_menu=[str_path_icon+"item1_1.jpg",str_path_icon+"item1_2.jpg",str_path_icon+"item1_3.jpg",str_path_icon+"item1_4.jpg",str_path_icon+"item1_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_2m.jpg",str_path_m_icon+"item1_3m.jpg",str_path_m_icon+"item1_4m.jpg",str_path_m_icon+"item1_5m.jpg","","",""]
	str_objects_on_loc=["item1_1","item1_2","item1_3","item1_4","item1_5","","",""]
	quest_game.add_of("first_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 1.5,0,0)

	str_icons_menu=[str_path_icon+"item2_1.jpg",str_path_icon+"item2_2.jpg",str_path_icon+"item2_3.jpg",str_path_icon+"item2_4.jpg",str_path_icon+"item2_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_2m.jpg",str_path_m_icon+"item2_3m.jpg",str_path_m_icon+"item2_4m.jpg",str_path_m_icon+"item2_5m.jpg","","",""]
	str_objects_on_loc=["item2_1","item2_2","item2_3","item2_4","item2_5","","",""]
	quest_game.add_of("second_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 3.14,0,-60)

	str_icons_menu=[str_path_icon+"item3_1.jpg",str_path_icon+"item3_2.jpg",str_path_icon+"item3_3.jpg",str_path_icon+"item3_4.jpg",str_path_icon+"item3_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item3_1m.jpg",str_path_m_icon+"item3_2m.jpg",str_path_m_icon+"item3_3m.jpg",str_path_m_icon+"item3_4m.jpg",str_path_m_icon+"item3_5m.jpg","","",""]
	str_objects_on_loc=["item3_1","item3_2","item3_3","item3_4","item3_5","","",""]
	quest_game.add_of("three_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 3.16,-15,-6)

	str_icons_menu=[str_path_icon+"item4_1.jpg",str_path_icon+"item4_2.jpg",str_path_icon+"item4_3.jpg",str_path_icon+"item4_4.jpg",str_path_icon+"item4_5.jpg",str_path_icon+"item4_6.jpg",str_path_icon+"item4_7.jpg",str_path_icon+"item4_8.jpg"]
	str_icon_mouse=[str_path_m_icon+"item4_1m.jpg",str_path_m_icon+"item4_2m.jpg",str_path_m_icon+"item4_3m.jpg",str_path_m_icon+"item4_4m.jpg",str_path_m_icon+"item4_5m.jpg",str_path_m_icon+"item4_6m.jpg",str_path_m_icon+"item4_7m.jpg",str_path_m_icon+"item4_8m.jpg"]
	str_objects_on_loc=["item4_1","item4_2","item4_3","item4_4","item4_5","item4_6","item4_7","item4_8"]
	quest_game.add_of("fourth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 1.3,-31,-7)

	quest_game.set_state_of("first_object", 2)

	quest_game.show_object("strelka","clock_arrow",30.0,0,0)
	api_game.set_goal("goal_9_1")

def on_mouse_down_of(object_name, p_object, state):
	if object_name == "first_object" and state == 3:
		p_part = api_game.get_child(0,"part_layer0")
		api_game.enable_visibility(p_part,"fire1_flame",1)
		api_game.enable_visibility(p_part,"fire1_light",1)
		quest_game.set_state_of("second_object", 2)
		api_game.set_goal("goal_9_2")
	elif object_name == "second_object" and state == 3:
		api_game.set_goal("goal_9_3")
		quest_game.show_object("open_luk_krishka","quest_anim",0.3,0,0)
		quest_game.show_object("open_luk","quest_anim",0.3,0,0)
		quest_game.show_object("three_object","quest_anim",0.5,0,0)
		api_game.play_anim(0,"second_object","quest_anim",0.5,1)						
		quest_game.set_state_of("three_object", 2)
		quest_game.set_state_of("fourth_object", 2)
	elif object_name == "three_object" and state == 3:
		api_game.play_anim(0,"three_object","quest_anim",0.5,1)
	elif object_name == "fourth_object" and state == 3:
		api_game.attach_game("data\\menu\\levels\\loc_9_2")
		api_game.activate_game("loc_9_2",1)
		api_game.set_goal("tut_9_2")
		 
def on_event(object_name, p_object, event):
	if event == 11000 and object_name == "loc_9_2":
		api_game.activate_game("loc_9_2",0)
		quest_game.add_oc("fourth_object", "data\\img\\lev\\loc_9_1\\mini\\sunduk_glow.gif", "vkl_1")

def on_stop_anim(object_name, anim_name, p_object, i_track):
	if object_name == "three_object" and i_track == 1:
		api_game.game_win()
	elif object_name == "strelka":
		api_game.play_anim(0,"strelka","clock_arrow",30.0,0)
